Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.transport.coyote
Class RequestMap

    java.lang.Object
      org.jboss.remoting.transport.coyote.RequestMap

All Implemented Interfaces:
  java.util.Map

    public class RequestMap

extends java.lang.Object
implements java.util.Map

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Field Summary
`protected org.apache.coyote.Request` | `coyoteRequest` Coyote request.
`protected InputBuffer` | `inputBuffer` The associated input buffer.
`protected CoyoteInputStream` | `inputStream` ServletInputStream.
`protected org.apache.tomcat.util.buf.B2CConverter` | `URIConverter` URI byte to char converter (not recycled).

Constructor Summary
`RequestMap()`

Method Summary
`void` | `clear()`
`boolean` | `containsKey(java.lang.Object key)`
`boolean` | `containsValue(java.lang.Object value)`
`java.util.Set` | `entrySet()`
`java.lang.Object` | `get(java.lang.Object key)`
`org.apache.coyote.Request` | `getCoyoteRequest()` Get the Coyote request.
`java.io.InputStream` | `getInputStream()` Get the input stream.
`protected org.apache.tomcat.util.buf.B2CConverter` | `getURIConverter()` Return the URI converter.
`boolean` | `isEmpty()`
`java.util.Set` | `keySet()`
`java.lang.Object` | `put(java.lang.Object arg0, java.lang.Object arg1)`
`void` | `putAll(java.util.Map arg0)`
`void` | `recycle()`
`java.lang.Object` | `remove(java.lang.Object key)`
`void` | `setCoyoteRequest(org.apache.coyote.Request coyoteRequest)` Set the Coyote request.
`protected void` | `setURIConverter(org.apache.tomcat.util.buf.B2CConverter URIConverter)` Set the URI converter.
`int` | `size()`
`java.util.Collection` | `values()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Field Detail

### inputBuffer

    protected InputBuffer inputBuffer

  The associated input buffer.

### inputStream

    protected CoyoteInputStream inputStream

  ServletInputStream.

### coyoteRequest

    protected org.apache.coyote.Request coyoteRequest

  Coyote request.

### URIConverter

    protected org.apache.tomcat.util.buf.B2CConverter URIConverter

  URI byte to char converter (not recycled).

Constructor Detail

### RequestMap

    public RequestMap()

Method Detail

### setCoyoteRequest

    public void setCoyoteRequest(org.apache.coyote.Request coyoteRequest)

  Set the Coyote request.

  Parameters:
    `coyoteRequest` - The Coyote request

### getCoyoteRequest

    public org.apache.coyote.Request getCoyoteRequest()

  Get the Coyote request.

### getInputStream

    public java.io.InputStream getInputStream()

  Get the input stream.

### getURIConverter

    protected org.apache.tomcat.util.buf.B2CConverter getURIConverter()

  Return the URI converter.

### setURIConverter

    protected void setURIConverter(org.apache.tomcat.util.buf.B2CConverter URIConverter)

  Set the URI converter.

  Parameters:
    `URIConverter` - the new URI connverter

### recycle

    public void recycle()

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Map`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `java.util.Map`

### containsKey

    public boolean containsKey(java.lang.Object key)

  Specified by:
    `containsKey` in interface `java.util.Map`

### containsValue

    public boolean containsValue(java.lang.Object value)

  Specified by:
    `containsValue` in interface `java.util.Map`

### get

    public java.lang.Object get(java.lang.Object key)

  Specified by:
    `get` in interface `java.util.Map`

### put

    public java.lang.Object put(java.lang.Object arg0,
                                java.lang.Object arg1)

  Specified by:
    `put` in interface `java.util.Map`

### remove

    public java.lang.Object remove(java.lang.Object key)

  Specified by:
    `remove` in interface `java.util.Map`

### putAll

    public void putAll(java.util.Map arg0)

  Specified by:
    `putAll` in interface `java.util.Map`

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Map`

### keySet

    public java.util.Set keySet()

  Specified by:
    `keySet` in interface `java.util.Map`

### values

    public java.util.Collection values()

  Specified by:
    `values` in interface `java.util.Map`

### entrySet

    public java.util.Set entrySet()

  Specified by:
    `entrySet` in interface `java.util.Map`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.